Bug 884274

Summary: provide a native systemd unit file
Product: [Fedora] Fedora Reporter: Doug Ledford <dledford>
Component: srptoolsAssignee: Doug Ledford <dledford>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 18CC: asersen, awilliam, azelinka, dledford, jstanley, mcermak, mmaslano
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard: AcceptedNTH
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 820154 Environment:
Last Closed: 2012-12-20 05:27:30 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 820154, 884275    
Bug Blocks: 752665    

Comment 1 Fedora Update System 2012-12-05 20:30:22 UTC
libibmad-1.3.9-1.fc18, libibumad-1.3.8-1.fc18, rdma-2.0-6.fc18, opensm-3.3.15-3.fc18, srptools-0.0.4-16.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/srptools-0.0.4-16.fc18,rdma-2.0-6.fc18,opensm-3.3.15-3.fc18,libibmad-1.3.9-1.fc18,libibumad-1.3.8-1.fc18

Comment 2 Fedora Update System 2012-12-05 23:08:42 UTC
Package libibmad-1.3.9-1.fc18, libibumad-1.3.8-1.fc18, rdma-2.0-6.fc18, opensm-3.3.15-3.fc18, srptools-0.0.4-16.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libibmad-1.3.9-1.fc18 libibumad-1.3.8-1.fc18 rdma-2.0-6.fc18 opensm-3.3.15-3.fc18 srptools-0.0.4-16.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19794/srptools-0.0.4-16.fc18,rdma-2.0-6.fc18,opensm-3.3.15-3.fc18,libibmad-1.3.9-1.fc18,libibumad-1.3.8-1.fc18
then log in and leave karma (feedback).

Comment 3 Adam Williamson 2012-12-19 21:40:45 UTC
The bugs related to the update https://admin.fedoraproject.org/updates/srptools-0.0.4-16.fc18,rdma-2.0-6.fc18,opensm-3.3.15-3.fc18,libibmad-1.3.9-1.fc18,libibumad-1.3.8-1.fc18 were discussed as a group at the 2012-12-19 NTH review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-19/f18final-blocker-review-6.2012-12-19-17.02.log.txt .

We considered them en masse with the general justification that dledford wishes to migrate the services in these packages to systemd prior to the release of Fedora 18, and also to fix a small security bug.

The update policy precludes migrating from sysv to systemd post-release, so if we do not allow this update through the freeze, dledford will be stuck maintaining sysv scripts for the whole of the F18 cycle (and he will have to undo all his migration work in the specs). We considered that these updates relate to a fairly unusual technology - infiniband - and that the typical Infiniband user is likely to be capable of working with Doug to resolve any teething issues that appear: accepting this update is very unlikely to cause any problems in 'typical' use. We also considered that Doug generally knows what he's doing.

Thus we accepted the issue as a whole as NTH, and will mark all the proposed bugs as AcceptedNTH, and pull the update through the freeze.

Comment 4 Fedora Update System 2012-12-20 05:27:34 UTC
libibmad-1.3.9-1.fc18, libibumad-1.3.8-1.fc18, rdma-2.0-6.fc18, opensm-3.3.15-3.fc18, srptools-0.0.4-16.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.